SpiderEyes = LibStub("AceAddon-3.0"):NewAddon("SpiderEyes", "AceEvent-3.0")
SpiderConsole = LibStub("AceConsole-3.0")
SpiderConfig = LibStub("AceConfig-3.0")
SpiderGUI = LibStub("AceGUI-3.0")

function SpiderEyes:OnInitialize()
	if type(SpiderEyesChar) ~= "table" then  
		SpiderEyesChar = {}
		if(UnitClass("Player") == "Monk") then
			SpiderEyesChar.texture1="Interface\\AddOns\\SpiderEyes\\Textures\\placeholder.tga"
			SpiderEyesChar.texture2="Interface\\AddOns\\SpiderEyes\\Textures\\placeholder.tga"
			SpiderEyesChar.texture3="Interface\\AddOns\\SpiderEyes\\Textures\\placeholder.tga"
			SpiderEyesChar.texture4="Interface\\AddOns\\SpiderEyes\\Textures\\placeholder.tga"
			SpiderEyesChar.texture5="Interface\\AddOns\\SpiderEyes\\Textures\\placeholder.tga"
			SpiderEyesChar.Sub1xOfs=10
			SpiderEyesChar.Sub1yOfs=10
			
			SpiderEyesChar.Sub2xOfs=10
			SpiderEyesChar.Sub2yOfs=10
			
			SpiderEyesChar.Sub3xOfs=10
			SpiderEyesChar.Sub3yOfs=10
			
			SpiderEyesChar.Sub4xOfs=10
			SpiderEyesChar.Sub4yOfs=10
			
			SpiderEyesChar.Sub5xOfs=10
			SpiderEyesChar.Sub5yOfs=10
		end
	end
	SpiderFrame:EnableMouse(false)
	SpiderFrame:SetPoint("CENTER", SpiderEyesChar.xOfs, SpiderEyesChar.yOfs)
	SpiderFrame:SetBackdropColor(0.2, 0.2, 0.2, 0)
	
	SpiderSubFrame1:ClearAllPoints()
	SpiderSubFrame1:EnableMouse(false)
	SpiderSubFrame1:SetPoint("CENTER", SpiderFrame, "CENTER", SpiderEyesChar.Sub1xOfs, SpiderEyesChar.Sub1yOfs)
	SpiderSubFrame1:SetBackdropColor(0.2, 0.2, 0.2, 0)
	SpiderSubFrame1:SetParent(SpiderFrame)
	SpiderConsole:Print("Subframe 1: done")
	
	SpiderSubFrame2:ClearAllPoints()
	SpiderSubFrame2:EnableMouse(false)
	SpiderSubFrame2:SetPoint("CENTER", SpiderFrame, "CENTER", SpiderEyesChar.Sub2xOfs, SpiderEyesChar.Sub2yOfs)
	SpiderSubFrame2:SetBackdropColor(0.2, 0.2, 0.2, 0)
	SpiderSubFrame2:SetParent(SpiderFrame)
	SpiderConsole:Print("Subframe 2: done")
	
	SpiderSubFrame3:ClearAllPoints()
	SpiderSubFrame3:EnableMouse(false)
	SpiderSubFrame3:SetPoint("CENTER", SpiderFrame, "CENTER", SpiderEyesChar.Sub3xOfs, SpiderEyesChar.Sub3yOfs)
	SpiderSubFrame3:SetBackdropColor(0.2, 0.2, 0.2, 0)
	SpiderSubFrame3:SetParent(SpiderFrame)
	SpiderConsole:Print("Subframe 3: done")
	
	SpiderSubFrame4:ClearAllPoints()
	SpiderSubFrame4:EnableMouse(false)
	SpiderSubFrame4:SetPoint("CENTER", SpiderFrame, "CENTER", SpiderEyesChar.Sub4xOfs, SpiderEyesChar.Sub4yOfs)
	SpiderSubFrame4:SetBackdropColor(0.2, 0.2, 0.2, 0)
	SpiderSubFrame4:SetParent(SpiderFrame)
	SpiderConsole:Print("Subframe 4: done")
	
	SpiderSubFrame5:ClearAllPoints()
	SpiderSubFrame5:EnableMouse(false)
	SpiderSubFrame5:SetPoint("CENTER", SpiderFrame, "CENTER", SpiderEyesChar.Sub5xOfs, SpiderEyesChar.Sub5yOfs)
	SpiderSubFrame5:SetBackdropColor(0.2, 0.2, 0.2, 0)
	SpiderSubFrame5:SetParent(SpiderFrame)
	SpiderConsole:Print("Subframe 5: done")
	
	SpiderSubFrame6:ClearAllPoints()
	SpiderSubFrame6:EnableMouse(false)
	SpiderSubFrame6:SetPoint("CENTER", SpiderFrame, "CENTER", SpiderEyesChar.Sub6xOfs, SpiderEyesChar.Sub6yOfs)
	SpiderSubFrame6:SetBackdropColor(0.2, 0.2, 0.2, 0)
	SpiderSubFrame6:SetParent(SpiderFrame)
	SpiderConsole:Print("Subframe 6: done")
	
	if UnitClass("Player") == "Monk" then
		MonkLoad()
	end
end
function SpiderEyes:Monk()
	if UnitPower("Player",12) ~= chi_power then
		chi_power= UnitPower("Player",12)
		SpiderEyes_Chi5()
	end
end




SpiderEyes_locked = 0
function SpiderEyes_OnMouseDown()
	if(SpiderEyes_locked == 1) then
	SpiderFrame:StartMoving()
	end
end

function SpiderEyes_OnMouseUp()
	if(SpiderEyes_locked == 1) then
	SpiderFrame:StopMovingOrSizing()
	point, relativeTo, relativePoint, SpiderEyesChar.xOfs, SpiderEyesChar.yOfs = SpiderFrame:GetPoint()
	end
end

function SpiderEyesSub1_OnMouseDown()
	if(SpiderEyes_locked == 1) then
	SpiderSubFrame1:StartMoving()
	point, relativeTo, relativePoint, ScreenxOfs, ScreenyOfs = SpiderSubFrame1:GetPoint()
	end
end

function SpiderEyesSub1_OnMouseUp()
	if(SpiderEyes_locked == 1) then
	point, relativeTo, relativePoint, Screen2xOfs, Screen2yOfs = SpiderSubFrame1:GetPoint()
	SpiderSubFrame1:StopMovingOrSizing()
	deltax = Screen2xOfs - ScreenxOfs
	deltay = Screen2yOfs - ScreenyOfs
	NewFramexOfs = SpiderEyesChar.Sub1xOfs + deltax
	NewFrameyOfs = SpiderEyesChar.Sub1yOfs + deltay
	SpiderSubFrame1:ClearAllPoints()
	SpiderSubFrame1:SetPoint("CENTER", SpiderFrame, "CENTER", NewFramexOfs, NewFrameyOfs)
	point, relativeTo, relativePoint, SpiderEyesChar.Sub1xOfs, SpiderEyesChar.Sub1yOfs = SpiderSubFrame1:GetPoint()
	end
end

function SpiderEyesSub2_OnMouseDown()
	if(SpiderEyes_locked == 1) then
	SpiderSubFrame2:StartMoving()
	point, relativeTo, relativePoint, ScreenxOfs, ScreenyOfs = SpiderSubFrame2:GetPoint()
	end
end

function SpiderEyesSub2_OnMouseUp()
	if(SpiderEyes_locked == 1) then
	point, relativeTo, relativePoint, Screen2xOfs, Screen2yOfs = SpiderSubFrame2:GetPoint()
	SpiderSubFrame2:StopMovingOrSizing()
	deltax = Screen2xOfs - ScreenxOfs
	deltay = Screen2yOfs - ScreenyOfs
	NewFramexOfs = SpiderEyesChar.Sub2xOfs + deltax
	NewFrameyOfs = SpiderEyesChar.Sub2yOfs + deltay
	SpiderSubFrame2:ClearAllPoints()
	SpiderSubFrame2:SetPoint("CENTER", SpiderFrame, "CENTER", NewFramexOfs, NewFrameyOfs)
	point, relativeTo, relativePoint, SpiderEyesChar.Sub2xOfs, SpiderEyesChar.Sub2yOfs = SpiderSubFrame2:GetPoint()
	end
end

function SpiderEyesSub3_OnMouseDown()
	if(SpiderEyes_locked == 1) then
	SpiderSubFrame3:StartMoving()
	point, relativeTo, relativePoint, ScreenxOfs, ScreenyOfs = SpiderSubFrame3:GetPoint()
	end
end

function SpiderEyesSub3_OnMouseUp()
	if(SpiderEyes_locked == 1) then
	point, relativeTo, relativePoint, Screen2xOfs, Screen2yOfs = SpiderSubFrame3:GetPoint()
	SpiderSubFrame3:StopMovingOrSizing()
	deltax = Screen2xOfs - ScreenxOfs
	deltay = Screen2yOfs - ScreenyOfs
	NewFramexOfs = SpiderEyesChar.Sub3xOfs + deltax
	NewFrameyOfs = SpiderEyesChar.Sub3yOfs + deltay
	SpiderSubFrame3:ClearAllPoints()
	SpiderSubFrame3:SetPoint("CENTER", SpiderFrame, "CENTER", NewFramexOfs, NewFrameyOfs)
	point, relativeTo, relativePoint, SpiderEyesChar.Sub3xOfs, SpiderEyesChar.Sub3yOfs = SpiderSubFrame3:GetPoint()
	end
end

function SpiderEyesSub4_OnMouseDown()
	if(SpiderEyes_locked == 1) then
	SpiderSubFrame4:StartMoving()
	point, relativeTo, relativePoint, ScreenxOfs, ScreenyOfs = SpiderSubFrame4:GetPoint()
	end
end

function SpiderEyesSub4_OnMouseUp()
	if(SpiderEyes_locked == 1) then
	point, relativeTo, relativePoint, Screen2xOfs, Screen2yOfs = SpiderSubFrame4:GetPoint()
	SpiderSubFrame4:StopMovingOrSizing()
	deltax = Screen2xOfs - ScreenxOfs
	deltay = Screen2yOfs - ScreenyOfs
	NewFramexOfs = SpiderEyesChar.Sub4xOfs + deltax
	NewFrameyOfs = SpiderEyesChar.Sub4yOfs + deltay
	SpiderSubFrame4:ClearAllPoints()
	SpiderSubFrame4:SetPoint("CENTER", SpiderFrame, "CENTER", NewFramexOfs, NewFrameyOfs)
	point, relativeTo, relativePoint, SpiderEyesChar.Sub4xOfs, SpiderEyesChar.Sub4yOfs = SpiderSubFrame4:GetPoint()
	end
end

function SpiderEyesSub5_OnMouseDown()
	if(SpiderEyes_locked == 1) then
	SpiderSubFrame5:StartMoving()
	point, relativeTo, relativePoint, ScreenxOfs, ScreenyOfs = SpiderSubFrame5:GetPoint()
	end
end

function SpiderEyesSub5_OnMouseUp()
	if(SpiderEyes_locked == 1) then
	point, relativeTo, relativePoint, Screen2xOfs, Screen2yOfs = SpiderSubFrame5:GetPoint()
	SpiderSubFrame5:StopMovingOrSizing()
	deltax = Screen2xOfs - ScreenxOfs
	deltay = Screen2yOfs - ScreenyOfs
	NewFramexOfs = SpiderEyesChar.Sub5xOfs + deltax
	NewFrameyOfs = SpiderEyesChar.Sub5yOfs + deltay
	SpiderSubFrame5:ClearAllPoints()
	SpiderSubFrame5:SetPoint("CENTER", SpiderFrame, "CENTER", NewFramexOfs, NewFrameyOfs)
	point, relativeTo, relativePoint, SpiderEyesChar.Sub5xOfs, SpiderEyesChar.Sub5yOfs = SpiderSubFrame5:GetPoint()
	end
end

function SpiderEyesSub6_OnMouseDown()
	if(SpiderEyes_locked == 1) then
	SpiderSubFrame6:StartMoving()
	point, relativeTo, relativePoint, ScreenxOfs, ScreenyOfs = SpiderSubFrame6:GetPoint()
	end
end

function SpiderEyesSub6_OnMouseUp()
	if(SpiderEyes_locked == 1) then
	point, relativeTo, relativePoint, Screen2xOfs, Screen2yOfs = SpiderSubFrame6:GetPoint()
	SpiderSubFrame6:StopMovingOrSizing()
	deltax = Screen2xOfs - ScreenxOfs
	deltay = Screen2yOfs - ScreenyOfs
	NewFramexOfs = SpiderEyesChar.Sub6xOfs + deltax
	NewFrameyOfs = SpiderEyesChar.Sub6yOfs + deltay
	SpiderSubFrame6:ClearAllPoints()
	SpiderSubFrame6:SetPoint("CENTER", SpiderFrame, "CENTER", NewFramexOfs, NewFrameyOfs)
	point, relativeTo, relativePoint, SpiderEyesChar.Sub6xOfs, SpiderEyesChar.Sub6yOfs = SpiderSubFrame6:GetPoint()
	end
end

















local options = {
	name = "SpiderEyes",
	handler = SpiderConfig,
	type = 'group',
	args = {
		msg = {
			type = 'input',
			name = 'Test',
			desc = 'This is a test thing',
			set = 'SetMyMessage',
			get = 'GetMyMessage',
		},
		lock = {
			type = 'execute',
			name = 'Lock',
			desc = 'Locks/Unlocks the frame',
			func = function(info)
			Monk_Unlock()
			end,
		},
	},
}
LibStub("AceConfig-3.0"):RegisterOptionsTable("SpiderEyes", options, {"SpiderEyes"})
